# Class MultipleHyperlinkPresenter

java.lang.Object
org.eclipse.jface.text.hyperlink.DefaultHyperlinkPresenter
org.eclipse.jface.text.hyperlink.MultipleHyperlinkPresenter

All Implemented Interfaces:
  `EventListener, IHyperlinkPresenter, IHyperlinkPresenterExtension, IHyperlinkPresenterExtension2, IDocumentListener, ITextInputListener, ITextPresentationListener, ITextViewerLifecycle, IPropertyChangeListener`

public class MultipleHyperlinkPresenter extends DefaultHyperlinkPresenter implements IHyperlinkPresenterExtension2
A hyperlink presenter capable of showing multiple hyperlinks in a hover.

Since:
  3.4

## Field Summary

### Fields inherited from class DefaultHyperlinkPresenter

`HYPERLINK_COLOR, HYPERLINK_COLOR_SYSTEM_DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`MultipleHyperlinkPresenter(IPreferenceStore store)`
Creates a new multiple hyperlink presenter which uses `DefaultHyperlinkPresenter.HYPERLINK_COLOR` to read the color from the given preference store.
`MultipleHyperlinkPresenter(RGB color)`
Creates a new multiple hyperlink presenter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHideHyperlinks()`
Tells whether the currently shown hyperlinks can be hidden.
`boolean`
`canShowMultipleHyperlinks()`
Tells whether this presenter is able to handle more than one hyperlink.
`void`
`hideHyperlinks()`
Tells this hyperlink presenter to hide the hyperlinks requested to be shown by `IHyperlinkPresenter.showHyperlinks(IHyperlink[])`.
`void`
`install(ITextViewer viewer)`
Installs this hyperlink presenter on the given text viewer.
`void`
`showHyperlinks(IHyperlink[] hyperlinks)`
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer.
`void`
`showHyperlinks(IHyperlink[] activeHyperlinks, boolean takesFocusWhenVisible)`
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer and specifies whether or not the control takes focus when visible.
`void`
`uninstall()`
Uninstalls this hyperlink presenter.

### Methods inherited from class DefaultHyperlinkPresenter

`applyTextPresentation, documentAboutToBeChanged, documentChanged, inputDocumentAboutToBeChanged, inputDocumentChanged, propertyChange, setColor`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipleHyperlinkPresenter

public MultipleHyperlinkPresenter(IPreferenceStore store)
Creates a new multiple hyperlink presenter which uses `DefaultHyperlinkPresenter.HYPERLINK_COLOR` to read the color from the given preference store.

Parameters:
  `store` - the preference store

### MultipleHyperlinkPresenter

public MultipleHyperlinkPresenter(RGB color)
Creates a new multiple hyperlink presenter.

Parameters:
  `color` - the hyperlink color, to be disposed by the caller

## Method Details

### install

public void install(ITextViewer viewer)
Description copied from interface: `IHyperlinkPresenter`
Installs this hyperlink presenter on the given text viewer.

Specified by:
  `install` in interface `IHyperlinkPresenter`
Specified by:
  `install` in interface `ITextViewerLifecycle`
Overrides:
  `install` in class `DefaultHyperlinkPresenter`
Parameters:
  `viewer` - the text viewer

### uninstall

public void uninstall()
Description copied from interface: `IHyperlinkPresenter`
Uninstalls this hyperlink presenter.

Specified by:
  `uninstall` in interface `IHyperlinkPresenter`
Specified by:
  `uninstall` in interface `ITextViewerLifecycle`
Overrides:
  `uninstall` in class `DefaultHyperlinkPresenter`

### canShowMultipleHyperlinks

public boolean canShowMultipleHyperlinks()
Description copied from interface: `IHyperlinkPresenter`
Tells whether this presenter is able to handle more than one hyperlink.

Specified by:
  `canShowMultipleHyperlinks` in interface `IHyperlinkPresenter`
Overrides:
  `canShowMultipleHyperlinks` in class `DefaultHyperlinkPresenter`
Returns:
  `true` if this presenter can handle more than one hyperlink

### canHideHyperlinks

public boolean canHideHyperlinks()
Description copied from class: `DefaultHyperlinkPresenter`
Tells whether the currently shown hyperlinks can be hidden.

Specified by:
  `canHideHyperlinks` in interface `IHyperlinkPresenterExtension`
Overrides:
  `canHideHyperlinks` in class `DefaultHyperlinkPresenter`
Returns:
  `true` if the hyperlink manager can hide the current hyperlinks

### hideHyperlinks

public void hideHyperlinks()
Description copied from interface: `IHyperlinkPresenter`
Tells this hyperlink presenter to hide the hyperlinks requested to be shown by `IHyperlinkPresenter.showHyperlinks(IHyperlink[])`.

Specified by:
  `hideHyperlinks` in interface `IHyperlinkPresenter`
Overrides:
  `hideHyperlinks` in class `DefaultHyperlinkPresenter`

### showHyperlinks

public void showHyperlinks(IHyperlink[] hyperlinks)
Description copied from interface: `IHyperlinkPresenter`
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer.

Specified by:
  `showHyperlinks` in interface `IHyperlinkPresenter`
Overrides:
  `showHyperlinks` in class `DefaultHyperlinkPresenter`
Parameters:
  `hyperlinks` - the hyperlinks to show

### showHyperlinks

public void showHyperlinks(IHyperlink[] activeHyperlinks, boolean takesFocusWhenVisible)
Tells this hyperlink presenter to show the given hyperlinks on the installed text viewer and specifies whether or not the control takes focus when visible.

Specified by:
  `showHyperlinks` in interface `IHyperlinkPresenterExtension2`
Parameters:
  `activeHyperlinks` - the hyperlinks to show
  `takesFocusWhenVisible` - `true` if the control takes the focus when visible, `false` otherwise. Will be ignored if there is only one hyperlink to show.
Since:
  3.7